﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LD22 {

   enum AdjaMask : byte {
      None   = 0,
      Top    = 1,
      Right  = 2,
      Bottom = 4,
      Left   = 8,

      BGTop    = 0x10,
      BGRight  = 0x20,
      BGBottom = 0x40,
      BGLeft   = 0x80,

      All    = Top | Right | Bottom | Left,
      BGAll = BGTop | BGRight | BGBottom | BGLeft,
   }

   enum MatType { // defines how many slots in the material texture atlas are used
      Atlas, 
      Single,
   }

}
