﻿using System;
using System.Collections.Generic;

using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace LD22 {

   static class Functions {

      public static Random Random = new Random();

      public static float rnd(float amt) {
         return (float)Random.NextDouble() * amt * 2 - amt;
      }
      public static int rnd(int amt) {
         return Random.Next(-amt, amt+1);
      }

      public static Vector2 rndV2(float amt) {
         return new Vector2(rnd(amt), rnd(amt));
      }

      public static float fuzz(float center, float fuzziness) {
         return center + rnd(fuzziness);
      }
      public static float fuzz(int center, int fuzziness) {
         return center + rnd(fuzziness);
      }

      public static void DrawStringCenter(SpriteBatch batch, SpriteFont font, string text, float Y, Color color) {
         var size = font.MeasureString(text);
         batch.DrawString(font, text, new Vector2((Main.Game.ScreenWidth - size.X) * 0.5f, Y - size.Y * 0.5f), color);
      }

   }

}
